ADVM/ACFS is not supported on oraclelinux-release-5-7.0.2

When you install Oracle infrastructure on Oracle Linux Version 7.5, exactly when ran script: /u01/app/grid/product/11.2.0/grid/root.sh you got the message:

CRS-4123: Oracle High Availability Services has been started.
ohasd is starting
ADVM/ACFS is not supported on oraclelinux-release-5-7.0.2
....
'UpdateNodeList' was successful.

Solution:

Create a file /tmp/.linux_release before run install grid infrastructure:

[root@oel57 ~]# cd /tmp
[root@oel57 tmp]# echo "enterprise-release-5-7.0.2" > .linux_release
[root@oel57 tmp]# cat .linux_release
enterprise-release-5-7.0.2

Why?
See: How Oracle compare the release to decide which OS to support:
/u01/app/grid/product/11.2.0/grid/lib/osds_acfslib.pm

Run the grid install again!

Check after install grid

[root@oel57 ~]# cd /u01/app/grid/product/11.2.0/grid/bin
[root@oel57 bin]# ./acfsdriverstate -orahome /u01/app/grid/product/11.2.0/grid version
ACFS-9205: OS/ADVM,ACFS installed version = 2.6.18-8.el5(i386)/090715.1

[root@oel57 ~]# lsmod | grep oracle

oracleacfs            787460  0
oracleadvm            177792  0
oracleoks             226656  2 oracleacfs,oracleadvm
oracleasm              46356  1

ADVM/ACFS seen correct installed!

Nagulu Polagani

"We are all apprentices in a craft where no one ever becomes a master."